Get Bound Social Account List
Used to get the social accounts bound to the user. On success, the social account list is returned; on failure, failure information is returned.
This is a post-login API. You need to add authorization information in the header: Authorization.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Example |
|---|---|---|---|---|
| X-operating-sys-version | Caller client operating system version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Caller client device fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Caller client IP | No | String | 192.168.1.2 |
| X-agent | User-Agent information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) |
| X-L | Used for internationalization language setting | No | String | zh |
| X-client-id | Application authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
| Authorization | Authorization information | Yes | String | Bearer {id_token} |
| content-type | Content format type | Yes | String | application/json |
Request Example
None
Request Parameters
None
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"social": [
{
"id": "20210111142024468-ADFB-B41D22CEV",
"userId": "20210111142020284-114D-7DF343948",
"socialType": "weixin",
"socialUid": "odVLG0-NK05w0000g1BCAnbC4WdM",
"socialChannelId": "oKfHI1BJdxUEFCAakTeoYIlC22lw",
"socialNickname": "云云",
"socialHeadImage": "https://thirdwx.qlogo.cn/mmopen/vi_32/pP0UibPF2OL0oJPw/132",
"socialAccountDetails": null,
"idpId": "20211109143455927-43EC-A3622E9F5",
"createdAt": "2021-01-10 14:20:24.468",
"updatedAt": "2021-01-10 14:20:24.468"
}
]
}Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "IDAAS.SDK.PARAM.0016",
"error_msg": "IdToken is invalid or expired"
}Response Parameters
| Parameter Name | Name | Type | Description |
|---|---|---|---|
| social | Social information collection | List | Social information collection |
| id | System ID | String | System ID automatically generated by IDaaS |
| userId | User ID | String | User ID |
| socialType | Social type | String | Social type, WeChat: weixin |
| socialUid | Social ID | String | Corresponding third-party ID, WeChat: unionId |
| socialChannelId | Social channel ID | String | Corresponding to WeChat: openId; for other social identity sources, consistent with socialUid |
| socialNickname | Nickname | String | Nickname |
| socialHeadImage | Avatar | String | Avatar |
| socialAccountDetails | Description | String | Description |
| idpId | Identity provider ID | String | Identity provider ID |
| createdAt | Creation time | String | Creation time |
| updatedAt | Update time | String | Update time |
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | IDAAS.SDK.PARAM.0001 | 设备信息不完整 | Device information is incomplete | Please check whether the input device information is complete |
| 400 | IDAAS.SDK.PARAM.0002 | clientId不能为空 | clientId cannot be empty | Please check whether the input clientId is empty |
| 400 | IDAAS.SDK.PARAM.0003 | 应用未注册,请先注册应用 | The app is not registered, please register the app first | Please check whether the input clientId is correct |
| 400 | IDAAS.SDK.PARAM.0015 | IdToken不能为空 | IdToken cannot be empty | Please check whether the input IdToken is empty |
| 400 | IDAAS.SDK.PARAM.0016 | IdToken无效或已过期 | IdToken is invalid or expired | Please re-acquire the IdToken and try again |